publicfile-installer(1)

NAME
publicfile-installer - get, build and install publicfile

SYNOPSIS
get-publicfile [go]
build-publicfile [go]

DESCRIPTION

get-publicfile
    get-publicfile downloads and verifies publicfile sources.

build-publicfile
    build-publicfile builds the publicfile package from its sources, and optionally installs it.

The scripts get-publicfile and build-publicfile are pretty verbose. Both scripts are interactive (but see below).

OPTIONS
When get-publicfile or build-publicfile are passed the argument go, they run in non-interactive mode. This is useful when calling these scripts from within a package installer.

FILES
The scripts install files, and search for files in $HOME/.publicfile-installer/ and /usr/src/publicfile-installer/. The scripts are configured using /etc/publicfile-installer.conf and $HOME/.publicfile-installer.conf.

BUGS
get-publicfile runs dscverify; this command needs the public PGP key of the scripts author in the users GnuPG keyring. Therefore, before running get-publicfile, do run e.g. gpg --recv-key B8FAC2E250475B8CE940A91957930DAB0B86B067 in order to download or update this key.

AUTHOR
Copyright © 2006 Joost van Baal, Copyright © 2015 Joost van Baal-Ilić
This document is free software; you can redistribute it and/or modify it under the terms of the GNU GPL as published by the FSF; version 3 of the License, or any later version. You should have received a copy of the GNU GPL along with this file (see COPYING); if not, check

SEE ALSO
The authors